### Function

# Devhelp Completion aggregate_complete

since: 3.28

#### Declaration [src]

    gchar*
    dh_completion_aggregate_complete (
      GList* completion_objects,
      const gchar* prefix
    )

#### Description [src]

The same as dh_completion_complete(), but aggregated for several `DhCompletion` objects.

Available since: 3.28

#### Parameters

`completion_objects`

  Type: A list of `DhCompletion*`

  A `GList` of `DhCompletion` objects.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`prefix`

  Type: `const gchar*`

  The string to complete.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The completed prefix, or `NULL` if a longer prefix has not been found. Free with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.